<script setup>
import introJs from "intro.js";
import "intro.js/minified/introjs.min.css";

const APIversion = ref("");
function runHints() {
  const introguide = introJs();
  introguide.setOptions({
    /* Next CSS class for tooltip boxes */
    tooltipClass: "customTooltipClass",
    /* CSS class that is added to the helperLayer */
    highlightClass: "customHighlightClass",
    /* Set the overlay opacity */
    overlayOpacity: 0.1,
  });
  introguide.start();
}

onMounted(async () => {
  const { data: resData } = await useAPIFetch("/api/version");
  APIversion.value = resData.value.version;
});
</script>

<template>
  <div class="ma-4 floatDiv">
    <v-menu location="top">
      <template v-slot:activator="{ props }">
        <v-btn
          class="floatBtn"
          size="custom"
          icon="mdi-help"
          color="white"
          elevation="8"
          v-bind="props"
        />
      </template>
      <v-list class="mb-3 pb-0" style="min-width: 250px">
        <v-list-item
          title="What's new?"
          target="_blank"
          href="https://gitlab.com/ifb-elixirfr/madbot/madbot-api/-/blob/dev/CHANGELOG.md?ref_type=heads"
        />
        <v-list-item
          title="Our code project"
          target="_blank"
          href="https://gitlab.com/ifb-elixirfr/madbot/"
        />
        <v-divider />
        <v-list-item
          title="Join our community"
          target="_blank"
          href="https://community.france-bioinformatique.fr/"
        />
        <v-list-item
          title="Help and tutorials"
          target="_blank"
          href="https://ifb-elixirfr.gitlab.io/madbot/madbot-doc/"
        />
        <v-list-item title="Show hints" @click="runHints" />
        <v-list-item
          title="Contact us"
          href="mailto:ifb-madbot@groupes.france-bioinformatique.fr/"
        />
        <v-divider />
        <v-list-item
          title="License"
          target="_blank"
          href="https://gitlab.com/ifb-elixirfr/madbot/madbot-api/-/raw/dev/LICENSE?ref_type=heads"
        />
        <v-divider />
        <v-list-item style="background-color: #f7f7f7; font-size: 12px">
          Client version:
          <a
            target="_blank"
            :href="
              `https://gitlab.com/ifb-elixirfr/madbot/madbot-client/-/releases/v${
                $config.public.clientVersion}`
            "
          >{{ $config.public.clientVersion }}</a>
          <br>
          API version:
          <a
            target="_blank"
            :href="`https://gitlab.com/ifb-elixirfr/madbot/madbot-api/-/releases/v${APIversion}`"
          >{{ APIversion }}</a>
        </v-list-item>
      </v-list>
    </v-menu>
  </div>
</template>

<style>
.floatDiv {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: 1000;
}

.floatBtn .mdi-help {
  color: #878787;
  width: 36px;
  height: 36px;
  font-size: 17px;
}

.customHighlightClass {
  opacity: 0.01;
  box-shadow: none !important;
  background-color: #edecec;
}
</style>
